summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:38 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:38 +0200
commit8c8004b8e1bdba6c9b54ee3b48dbe5ab70f65a97 (patch)
tree035e357d862b58634f2afb15e1887a4588b23229 /graphics
parent7d2235a47fb2f6e5df06982cb096139a76bd3145 (diff)
downloadslackbuilds-8c8004b8e1bdba6c9b54ee3b48dbe5ab70f65a97.tar.gz
slackbuilds-8c8004b8e1bdba6c9b54ee3b48dbe5ab70f65a97.tar.xz
graphics/raw-thumbnailer: Added to 12.0 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/raw-thumbnailer/README11
-rw-r--r--graphics/raw-thumbnailer/raw-thumbnailer.SlackBuild81
-rw-r--r--graphics/raw-thumbnailer/raw-thumbnailer.info8
-rw-r--r--graphics/raw-thumbnailer/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/graphics/raw-thumbnailer/README b/graphics/raw-thumbnailer/README
new file mode 100644
index 0000000000..aff7dfc3fc
--- /dev/null
+++ b/graphics/raw-thumbnailer/README
@@ -0,0 +1,11 @@
+This simple program generates thumbnails of digital camera raw image files
+using libopenraw and GDK. It supports the same file formats as libopenraw
+<http://libopenraw.freedesktop.org/wiki/FileFormats>.
+
+This thumbnailer is designed to be small, lightweight, and fast. It is
+primarily intended to be used with file managers (although it could easily
+be used by a photograph management program) and is used by thunar-thumbnailers.
+
+ Usage: raw-thumbnailer -i input_file -o output_file -s size
+
+raw-thumbnailer requires libopenraw (also available at SlackBuilds.org).
diff --git a/graphics/raw-thumbnailer/raw-thumbnailer.SlackBuild b/graphics/raw-thumbnailer/raw-thumbnailer.SlackBuild
new file mode 100644
index 0000000000..ebd6252023
--- /dev/null
+++ b/graphics/raw-thumbnailer/raw-thumbnailer.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for raw-thumbnailer
+
+# Copyright 2008 Michiel van Wessem <michiel@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=raw-thumbnailer
+VERSION=0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/raw-thumbnailer/raw-thumbnailer.info b/graphics/raw-thumbnailer/raw-thumbnailer.info
new file mode 100644
index 0000000000..c19697889a
--- /dev/null
+++ b/graphics/raw-thumbnailer/raw-thumbnailer.info
@@ -0,0 +1,8 @@
+PRGNAM="raw-thumbnailer"
+VERSION="0.1"
+HOMEPAGE="http://code.google.com/p/raw-thumbnailer/"
+DOWNLOAD="http://raw-thumbnailer.googlecode.com/files/raw-thumbnailer-0.1.tar.gz"
+MD5SUM="f6980ceb4cf80104cc3912a6711544f6"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/graphics/raw-thumbnailer/slack-desc b/graphics/raw-thumbnailer/slack-desc
new file mode 100644
index 0000000000..87825274c3
--- /dev/null
+++ b/graphics/raw-thumbnailer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------|
+raw-thumbnailer: raw-thumbnailer (Generate thumbnails from RAW images)
+raw-thumbnailer:
+raw-thumbnailer: This simple program generates thumbnails of digital camera
+raw-thumbnailer: raw image files using libopenraw and GDK. It supports the
+raw-thumbnailer: same file formats as libopenraw.
+raw-thumbnailer:
+raw-thumbnailer: This thumbnailer is designed to be small, lightweight,
+raw-thumbnailer: and fast. It is primarily intended to be used with file
+raw-thumbnailer: managers (although it could easily be used by a photograph
+raw-thumbnailer: management program) and is used by thunar-thumbnailers.
+raw-thumbnailer: